Parity Class Reference

`#include <BitVector.h>`

Inheritance diagram for Parity:

## Public Member Functions

| Parity (uint64_t wCoefficients, unsigned wParitySize, unsigned wCodewordSize)
void | writeParityWord (const BitVector &data, BitVector &parityWordTarget, bool invert=true)
uint64_t | syndrome (const BitVector &receivedCodeword)
Public Member Functions inherited from Generator
| Generator (uint64_t wCoeff, unsigned wLen)
void | clear ()
uint64_t | state () const
unsigned | size () const
void | syndromeShift (unsigned inBit)
void | encoderShift (unsigned inBit)

## Protected Attributes

unsigned | mCodewordSize

## Detailed Description

Parity (CRC-type) generator and checker based on a Generator.

## Constructor & Destructor Documentation

## Parity()

Parity::Parity | ( | uint64_t | wCoefficients,
|  | unsigned | wParitySize,
|  | unsigned | wCodewordSize )

inline

References Generator::Generator(), and mCodewordSize.

## Member Function Documentation

## syndrome()

uint64_t Parity::syndrome | ( | const BitVector & | receivedCodeword | ) |

Compute the syndrome of a received sequence.

## writeParityWord()

void Parity::writeParityWord | ( | const BitVector & | data,
|  | BitVector & | parityWordTarget,
|  | bool | invert = true )

Compute the parity word and write it into the target segment.

## Member Data Documentation

## mCodewordSize

unsigned Parity::mCodewordSize

protected

Referenced by Parity().

The documentation for this class was generated from the following file:

- BitVector.h